Summary: Open LDAP server and client
Name: openldap
Version: 1.0.2
Release: 2 
Copyright: GNU GPL Version 2 or any later version.
Packager: Sean Summers <seans@acm.org>
Group: Daemons
Source0: ftp://ftp.openldap.org/pub/OpenLDAP/openldap-1.0.2.tgz
Patch0: openldap-make.patch
Patch1: openldap-mips.patch
BuildArchitectures: i386 mips

%description
 Open LDAP is an LDAP (Lightweight Directory Access Protocol) server,
 client, and library suite.

 Built with:
	- connectionless LDAP support
	- TCP Wrapper support
	- ACL by groups support
	- thread support

%changelog
* Wed Sep 30 1998 Sean Summers <seans@acm.org>
- Release 2
- added mips patch to use SIGEMT, SIGSYS
- build on mips passes 'make test' fine!

* Wed Sep 30 1998 Sean Summers <seans@acm.org>
- Release 1
- First cut at a working LDAP rpm
- build on i386 passes 'make test' fine..

%prep

%setup -n ldap
%patch -p1

%ifarch mips
%patch1 -p1
%endif

%build
make

%install
make install

#%clean
#rm -rf $RPM_BUILD_ROOT

%files
/etc/ldap
/usr/lib/liblber.a
/usr/lib/libldap.a

#clients
/usr/libexec
/usr/bin/xrpcomp
/usr/bin/ldapsearch
/usr/bin/ldapmodify
/usr/bin/ldapdelete
/usr/bin/ldapmodrdn
/usr/bin/ldapadd
/usr/bin/ud

#tools
/usr/sbin/ldif2ldbm
/usr/sbin/ldif2index
/usr/sbin/ldif2id2entry
/usr/sbin/ldif2id2children
/usr/sbin/ldbmcat
/usr/sbin/centipede
/usr/sbin/ldbmtest
/usr/sbin/ldif

#man pages
/usr/man/man1/ldapdelete.1
/usr/man/man1/ldapmodify.1
/usr/man/man1/ldapadd.1
/usr/man/man1/ldapmodrdn.1
/usr/man/man1/ldapsearch.1
/usr/man/man1/ud.1

/usr/man/man3/cldap_close.3
/usr/man/man3/cldap_open.3
/usr/man/man3/cldap_search_s.3
/usr/man/man3/cldap_setretryinfo.3
/usr/man/man3/lber-decode.3
/usr/man/man3/lber-encode.3
/usr/man/man3/ldap.3
/usr/man/man3/cldap.3
/usr/man/man3/ldap_abandon.3
/usr/man/man3/ldap_add.3
/usr/man/man3/ldap_add_s.3
/usr/man/man3/ldap_bind.3
/usr/man/man3/ldap_bind_s.3
/usr/man/man3/ldap_simple_bind.3
/usr/man/man3/ldap_simple_bind_s.3
/usr/man/man3/ldap_kerberos_bind_s.3
/usr/man/man3/ldap_kerberos_bind1.3
/usr/man/man3/ldap_kerberos_bind1_s.3
/usr/man/man3/ldap_kerberos_bind2.3
/usr/man/man3/ldap_kerberos_bind2_s.3
/usr/man/man3/ldap_unbind.3
/usr/man/man3/ldap_unbind_s.3
/usr/man/man3/ldap_set_rebind_proc.3
/usr/man/man3/ldap_cache.3
/usr/man/man3/ldap_enable_cache.3
/usr/man/man3/ldap_disable_cache.3
/usr/man/man3/ldap_destroy_cache.3
/usr/man/man3/ldap_flush_cache.3
/usr/man/man3/ldap_uncache_entry.3
/usr/man/man3/ldap_uncache_request.3
/usr/man/man3/ldap_set_cache_options.3
/usr/man/man3/ldap_charset.3
/usr/man/man3/ldap_set_string_translators.3
/usr/man/man3/ldap_enable_translation.3
/usr/man/man3/ldap_translate_from_t61.3
/usr/man/man3/ldap_translate_to_t61.3
/usr/man/man3/ldap_t61_to_8859.3
/usr/man/man3/ldap_8859_to_t61.3
/usr/man/man3/ldap_compare.3
/usr/man/man3/ldap_compare_s.3
/usr/man/man3/ldap_delete.3
/usr/man/man3/ldap_delete_s.3
/usr/man/man3/ldap_disptmpl.3
/usr/man/man3/ldap_init_templates.3
/usr/man/man3/ldap_init_templates_buf.3
/usr/man/man3/ldap_free_templates.3
/usr/man/man3/ldap_first_disptmpl.3
/usr/man/man3/ldap_next_disptmpl.3
/usr/man/man3/ldap_oc2template.3
/usr/man/man3/ldap_tmplattrs.3
/usr/man/man3/ldap_first_tmplrow.3
/usr/man/man3/ldap_next_tmplrow.3
/usr/man/man3/ldap_first_tmplcol.3
/usr/man/man3/ldap_next_tmplcol.3
/usr/man/man3/ldap_entry2text.3
/usr/man/man3/ldap_entry2text_search.3
/usr/man/man3/ldap_vals2text.3
/usr/man/man3/ldap_entry2html.3
/usr/man/man3/ldap_entry2html_search.3
/usr/man/man3/ldap_vals2html.3
/usr/man/man3/ldap_error.3
/usr/man/man3/ldap_perror.3
/usr/man/man3/ld_errno.3
/usr/man/man3/ldap_result2error.3
/usr/man/man3/ldap_errlist.3
/usr/man/man3/ldap_err2string.3
/usr/man/man3/ldap_first_attribute.3
/usr/man/man3/ldap_next_attribute.3
/usr/man/man3/ldap_first_entry.3
/usr/man/man3/ldap_next_entry.3
/usr/man/man3/ldap_count_entries.3
/usr/man/man3/ldap_friendly.3
/usr/man/man3/ldap_friendly_name.3
/usr/man/man3/ldap_free_friendlymap.3
/usr/man/man3/ldap_get_dn.3
/usr/man/man3/ldap_explode_dn.3
/usr/man/man3/ldap_explode_dns.3
/usr/man/man3/ldap_dn2ufn.3
/usr/man/man3/ldap_is_dns_dn.3
/usr/man/man3/ldap_get_values.3
/usr/man/man3/ldap_get_values_len.3
/usr/man/man3/ldap_value_free.3
/usr/man/man3/ldap_value_free_len.3
/usr/man/man3/ldap_count_values.3
/usr/man/man3/ldap_count_values_len.3
/usr/man/man3/ldap_getfilter.3
/usr/man/man3/ldap_init_getfilter.3
/usr/man/man3/ldap_init_getfilter_buf.3
/usr/man/man3/ldap_getfilter_free.3
/usr/man/man3/ldap_getfirstfilter.3
/usr/man/man3/ldap_getnextfilter.3
/usr/man/man3/ldap_setfilteraffixes.3
/usr/man/man3/ldap_build_filter.3
/usr/man/man3/ldap_modify.3
/usr/man/man3/ldap_modify_s.3
/usr/man/man3/ldap_mods_free.3
/usr/man/man3/ldap_modrdn.3
/usr/man/man3/ldap_modrdn_s.3
/usr/man/man3/ldap_modrdn2.3
/usr/man/man3/ldap_modrdn2_s.3
/usr/man/man3/ldap_open.3
/usr/man/man3/ldap_init.3
/usr/man/man3/ldap_result.3
/usr/man/man3/ldap_msgfree.3
/usr/man/man3/ldap_search.3
/usr/man/man3/ldap_search_s.3
/usr/man/man3/ldap_search_st.3
/usr/man/man3/ldap_searchprefs.3
/usr/man/man3/ldap_init_searchprefs.3
/usr/man/man3/ldap_init_searchprefs_buf.3
/usr/man/man3/ldap_free_searchprefs.3
/usr/man/man3/ldap_first_searchobj.3
/usr/man/man3/ldap_next_searchobj.3
/usr/man/man3/ldap_sort.3
/usr/man/man3/ldap_sort_entries.3
/usr/man/man3/ldap_sort_values.3
/usr/man/man3/ldap_sort_strcasecmp.3
/usr/man/man3/ldap_ufn.3
/usr/man/man3/ldap_ufn_search_s.3
/usr/man/man3/ldap_ufn_search_c.3
/usr/man/man3/ldap_ufn_search_ct.3
/usr/man/man3/ldap_ufn_setprefix.3
/usr/man/man3/ldap_ufn_setfilter.3
/usr/man/man3/ldap_ufn_timeout.3
/usr/man/man3/ldap_url.3
/usr/man/man3/ldap_is_ldap_url.3
/usr/man/man3/ldap_url_parse.3
/usr/man/man3/ldap_free_urldesc.3
/usr/man/man3/ldap_url_search.3
/usr/man/man3/ldap_url_search_s.3
/usr/man/man3/ldap_url_search_st.3
/usr/man/man3/regex.3

/usr/man/man5/ldapfilter.conf.5
/usr/man/man5/ldapfriendly.5
/usr/man/man5/ldapsearchprefs.conf.5
/usr/man/man5/ldaptemplates.conf.5
/usr/man/man5/ldif.5
/usr/man/man5/slapd.conf.5
/usr/man/man5/slapd.replog.5
/usr/man/man5/ud.conf.5

/usr/man/man8/centipede.8
/usr/man/man8/chlog2replog.8
/usr/man/man8/edb2ldif.8
/usr/man/man8/go500.8
/usr/man/man8/go500gw.8
/usr/man/man8/in.xfingerd.8
/usr/man/man8/ldapd.8
/usr/man/man8/ldbmcat.8
/usr/man/man8/ldif.8
/usr/man/man8/ldif2ldbm.8
/usr/man/man8/ldif2index.8
/usr/man/man8/ldif2id2entry.8
/usr/man/man8/ldif2id2children.8
/usr/man/man8/mail500.8
/usr/man/man8/fax500.8
/usr/man/man8/rcpt500.8
/usr/man/man8/slapd.8
/usr/man/man8/slurpd.8

#devel
/usr/include/ldap.h
/usr/include/lber.h
/usr/include/proto-ldap.h
/usr/include/proto-lber.h
/usr/include/disptmpl.h
/usr/include/srchpref.h

%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README
%doc doc/guides/* doc/rfc/*.txt
